Installatie wamp op windows 10

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

Pagina: 1 2 volgende »

Hans metselaar

Hans metselaar

21/02/2024 11:27:48
Quote Anchor link
Heb een aantal sites die nog php 5.6 draaien.
Wil die tenminste naar 7.4 omzetten en wil dat lokaal doen

WAMP3.3 geinstalleerd en lijkt correct te werken, "stoplicht staat op groen".

Op het moment dat ik een script wil starten bijvoorbeeld localhost/ABY/script.php
wordt het betreffende script niet gestart maar geladen in mijn editor (dreamweaver of visual studio)

Is weinig documentatie van in het Nederlands en Engelse documentatie rudimentair of gebaseerd op oudere versies
Wie heeft hier ervaring mee??

Ben niet meer de jongste, waardoor leren want langzamer gaat dan in een grijs verleden....
 
PHP hulp

PHP hulp

30/05/2024 08:40:17
 
- Ariën  -
Beheerder

- Ariën -

21/02/2024 11:49:31
Quote Anchor link
Dat is wel vreemd. Hoe roep je het script aan in je browser?
Toch wel minimaal via http:// ?
 
Ad Fundum

Ad Fundum

21/02/2024 13:27:01
Quote Anchor link
Hans metselaar op 21/02/2024 11:27:48:
Heb een aantal sites die nog php 5.6 draaien.
Wil die tenminste naar 7.4 omzetten en wil dat lokaal doen

Wat is de meerwaarde? PHP 7.4 wordt ook niet meer ondersteund, al ruim 2 jaar niet.
Je kunt het beter meteen 'goed' doen en de sites upgraden naar PHP 8.3.
Met PHP 8.3 kan je weer bijna 3 jaar vooruit, daarna moet je weer alles upgraden.
Zie ook: https://www.php.net/supported-versions.php
 
Hans metselaar

Hans metselaar

21/02/2024 14:13:15
Quote Anchor link
Mijn provider draait op dit moment standaard op 7.4.3 vandaar die keuze. Heb niet gecontroleerd of ze 8.3 ondersteunen.
Op zich heb je natuurlijk helemaal gelijk
 
- Ariën  -
Beheerder

- Ariën -

21/02/2024 15:33:13
Quote Anchor link
Maar hoe roep je jouw PHP-script aan?
 
Ozzie PHP

Ozzie PHP

21/02/2024 15:58:33
Quote Anchor link
Hans metselaar op 21/02/2024 14:13:15:
Mijn provider draait op dit moment standaard op 7.4.3 vandaar die keuze. Heb niet gecontroleerd of ze 8.3 ondersteunen.
Op zich heb je natuurlijk helemaal gelijk

Wel eerst even controleren dan, want tijd investeren om om te zetten naar versie 7.4 (nog steeds een oude versie) heeft niet zo veel nut, zoals Ad Fundum ook al aangaf. Ik ga ervanuit dat je provider het ondersteunt. Zo niet, dan adviseer ik je om over te stappen naar een andere hosting provider.
 
Hans metselaar

Hans metselaar

21/02/2024 16:20:23
Quote Anchor link
Toevoeging op 21/02/2024 16:22:00:

- Ariën - op 21/02/2024 11:49:31:
Dat is wel vreemd. Hoe roep je het script aan in je browser?
Toch wel minimaal via http:// ?


Als volgt:

http://localhost/www/aby/NLdek_datum.php

Krijg nu in plaats van mijn source code, een 404 not found, terwijl het object wel degelijk in de directory aanwezig is.
Aan de configuratie is niet gewijzigd.



Toevoeging op 21/02/2024 16:32:25:

Ozzie PHP op 21/02/2024 15:58:33:
Hans metselaar op 21/02/2024 14:13:15:
Mijn provider draait op dit moment standaard op 7.4.3 vandaar die keuze. Heb niet gecontroleerd of ze 8.3 ondersteunen.
Op zich heb je natuurlijk helemaal gelijk

Wel eerst even controleren dan, want tijd investeren om om te zetten naar versie 7.4 (nog steeds een oude versie) heeft niet zo veel nut, zoals Ad Fundum ook al aangaf. Ik ga ervanuit dat je provider het ondersteunt. Zo niet, dan adviseer ik je om over te stappen naar een andere hosting provider.


De provider ondersteunt alle versies met de volgende opmerkingen:

All PHP web spaces are running the latest version of PHP 7.4, which is the version we recommend.
We always make sure your site is running the recommended and most compatible PHP-version. We do not recommend to change the version.

Upgrade to the latest stable PHP version.
Would you like to always use the latest PHP version, with the pro and cons this bring, you can add the following line to your web hotels .htaccess-file:

AddType application/x-httpd-php-latest .php
Gewijzigd op 21/02/2024 16:22:51 door Hans metselaar
 
- Ariën  -
Beheerder

- Ariën -

21/02/2024 18:01:43
Quote Anchor link
Die map /www klopt wel?
 
Hans metselaar

Hans metselaar

21/02/2024 19:15:37
Quote Anchor link
volledige pad:
Deze PC > Windows (C:) > wamp64 > www > aby
 
- Ariën  -
Beheerder

- Ariën -

21/02/2024 21:18:50
Quote Anchor link
Is /www de document_root waar je al jouw sites in plaatst?
Dan moet je die niet in je URL noemen.

Als je logisch nadenkt dan doen andere sites dat ook natuurlijk niet. ;-)
Gewijzigd op 21/02/2024 21:19:26 door - Ariën -
 
Hans metselaar

Hans metselaar

21/02/2024 22:01:21
Quote Anchor link
dus http://localhost/aby/script_name.php
In dat geval wordt de applicatie niet geladen, maar opent mijn editor het aangeroepen script.
 
- Ariën  -
Beheerder

- Ariën -

21/02/2024 22:31:11
Quote Anchor link
Dat is wel vreemd, je voert dit wel in je browser in? En niet in de Windows Verkenner ofzo?
Ik vind het vreemd dat een (lokale) webserver opeens de editor aanroept. Lijkt me eigenlijk onmogelijk als ik zo nadenk.

Het enige dat ik mij kan bedenken is dat je door een configuratiefout al je PHP-code ziet, maar dan is dat alsnog in de browser, en niet in je editor.
Gewijzigd op 21/02/2024 22:32:40 door - Ariën -
 
Hans metselaar

Hans metselaar

21/02/2024 23:47:40
Quote Anchor link
In Windows bij

instellingen
apps
Standaard apps
standaard apps per bestandstype kiezen heb ik bij .php Adobe dreamweaver benoemd

Op de een of andere manier legt de browser dus de link met de windows instellingen........en laadt het source in de editor, in plaats van te interpreteren.

Dus ja een configuratiefout lijkt waarschijnlijk, maar ik ben te weinig kennis van Windows om daar de vinger op te leggen
Ben meer application oriented dan kenner van operating systems
 
- Ariën  -
Beheerder

- Ariën -

21/02/2024 23:53:42
Quote Anchor link
Ik vind het heel apart dat de browser die link legt, omdat het gewoon iets is wat de webserver aflevert. De standaard-apps zijn bedoeld om verwijzingen in Windows (met name in de verkenner) te verwijzen naar een bepaald programma.

Mijn advies is om gewoon die standaards apps te resetten. Of zoek gewoon je editor op, en haal PHP als extensie eruit. Ik ben trouwens reuze benieuwd wat die doet bij een .php script die online staat :-D
Gewijzigd op 22/02/2024 00:17:30 door - Ariën -
 
Hans metselaar

Hans metselaar

22/02/2024 13:26:08
Quote Anchor link
Mijn advies is om gewoon die standaards apps te resetten. Of zoek gewoon je editor op, en haal PHP als extensie eruit. Ik ben trouwens reuze benieuwd wat die doet bij een .php script die online staat

Online is geen enkele probleem. Kijk op somaby.com, die volledige site is gebouwd in PHP. De ontwikkeling doe ik gewoon op de PC, met een testomgeving binnen het domein.
Maar een massale migratie naar een hogere PC versie wil ik niet in de testomgeving doen.
Heb geprobeerd de standaard apps te resetten, maar ook daarna blijft .php gekoppeld aan dreamweaver.
De oplossing ligt dus kennelijk in de settings van de apache server, die de settings van windows zou moeten overrulen.

Of zoek gewoon je editor op, en haal PHP als extensie eruit.
Deze snap ik even niet.
 
- Ariën  -
Beheerder

- Ariën -

22/02/2024 13:34:38
Quote Anchor link
Ik geloof er niet in dat dit met Apache te maken heeft. Het enige wat Apache als webserver doet, is de de website serveren onder poortje 80 of 443 (SSL), en de browser pikt dit op.

Ik zou toch even goed naar je settings van Windows kijken, en vooral even kijken naar de link over het resetten van je standaardapps.

Ik vraag me sterk af of je niet de Windows Verkenner en de browser (Edge, Firefox, Chrome etc..) door elkaar haalt? Want de standaardapps zijn puur gericht op de Verkenner, en als je daar een .php bestandje aanklikt is het heel normaal dat deze in een editor wordt geopend. Het uitvoeren van de php-scripts gaat normaliter via de browser via het http(s) protocol in de URL-balk. En dan wordt Apache aangeroepen die op zijn beurt PHP er weer bij roept voor de verwerking waarna Apache de uitgevoerde PHP-code naar de browser stuurt.

Ik kan me niet indenken dat Apache maar iets met Dreamweaver te maken heeft, of je moet wel een heel vreemde configuratie hebben, die zeker niet out-of-the-box zal zijn. En dan vraag ik mij af of dit wel mogelijk is?
Gewijzigd op 22/02/2024 13:52:35 door - Ariën -
 
Hans metselaar

Hans metselaar

22/02/2024 15:46:45
Quote Anchor link
Want de standaardapps zijn puur gericht op de Verkenner:

Dat verschil ken ik wel. en ik heb, terwijl wampserver operationeel is (groen licht) echt de URL http://aby/script_name.php
aangeroepen in de browser.
PHPMYADMIN wordt keurig opgestart in de browser: http://localhost/phpmyadmin/index.php?route=/&route=%2F
Dus de server localhost werkt correct.

De installatie van WAMP is geheel volgens het boekje gegaan.
Ik mag graag experimenteren, maar alleen in een als ik in een bekende omgeving zit en daar buiten mijn boekje wil gaan
 
- Ariën  -
Beheerder

- Ariën -

22/02/2024 15:54:41
Quote Anchor link
Als phpMyAdmin prima werkt en geopend wordt, dan is er niks mis met Apache. :-)
Dus ik neem aan dat het probleem is opgelost?
 
Hans metselaar

Hans metselaar

22/02/2024 17:01:40
Quote Anchor link
- Ariën - op 22/02/2024 15:54:41:
Als phpMyAdmin prima werkt en geopend wordt, dan is er niks mis met Apache. :-)
Dus ik neem aan dat het probleem is opgelost?


Was dat maar zo.
Krijg steeds keurig mijn sources geopend in dreamweaver.

Vind wel vergelijkbare problemen, o.a. https://copyprogramming.com/howto/wamp-server-isn-t-executing-php-code#wamp-server-isnt-executing-php-code

maar die hebben we nog niet veel verder geholpen
 
Adoptive Solution

Adoptive Solution

22/02/2024 17:11:52
Quote Anchor link
Volgens het voorbeeld moet er een portnummer achter localhost.

http://localhost:8080/
 
- Ariën  -
Beheerder

- Ariën -

22/02/2024 18:56:00
Quote Anchor link
Heb je een aparte vhost aangemaakt?
 

Pagina: 1 2 volgende »



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.